local Facings = require("#celeste.facings")

function onBegin()
    disableMovement()
    player.ForceCameraUpdate = true
    waitUntilOnGround()
    walkTo(3136)
    wait(0.25)
    player.Facing = Facings.Left
    wait(0.25)
    say("hennyburgr_backto2019_introcarhuhC")
    player.Facing = Facings.Right
    wait(0.25)
    say("hennyburgr_backto2019_holycrapitstheo")
    runTo(3208, true)
    jump(0.1)
    wait(0.2)
    jump(0.1)
    wait(0.2)
    say("hennyburgr_backto2019_2019theoA")
end

function onEnd()
    player.Facing = Facings.Right
    enableMovement()
    player.ForceCameraUpdate = false
    setFlag("2019theo", false)
    setFlag("2019theoB", true)
    teleportTo(3208, -1416)
end
